﻿@model PonudaStavkaTroskovnik

@{ 
    ViewBag.Title = "Nova stavka ponude troškovnika";
}

<h2>Unos nove stavke ponude troškovnika</h2>

<form asp-action="Create" method="post">
    <div asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="JedinicnaCijena">Jedinična Cijena</label>
        <div><span asp-validation-for="JedinicnaCijena" class="text-danger"></span></div>
        <input asp-for="JedinicnaCijena" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="UkupnaCijenaBezPdv">Ukupna Cijena Bez PDV-a</label>
        <div><span asp-validation-for="UkupnaCijenaBezPdv" class="text-danger"></span></div>
        <input asp-for="UkupnaCijenaBezPdv" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Pdv">PDV</label>
        <div><span asp-validation-for="Pdv" class="text-danger"></span></div>
        <input asp-for="Pdv" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="UkupnaCijenaSaPdv">Ukupna Cijena Sa PDV-om</label>
        <div><span asp-validation-for="UkupnaCijenaSaPdv" class="text-danger"></span></div>
        <input asp-for="UkupnaCijenaSaPdv" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkTroskovnikPonuda">Ponuda Troškovnika</label>
        <div><span asp-validation-for="FkTroskovnikPonuda" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkTroskovnikPonuda" asp-items="ViewBag.Ponude">
            <option selected value="" disabled>Odaberite ponudu troškovnika</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkNatjecajStavkaTroskovnik">Stavka Troškovnika</label>
        <div><span asp-validation-for="FkNatjecajStavkaTroskovnik" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkNatjecajStavkaTroskovnik" asp-items="ViewBag.Stavke">
            <option selected value="" disabled>Odaberite stavku troškovnika</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Dodaj</button>
        <a asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>